Create ticket for alert
curl --request POST \
--url https://acusight.io/api/core/alerts/ticket \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"alerts": [
{
"annotations": {},
"endsAt": "<string>",
"fingerprint": "<string>",
"generatorURL": "<string>",
"labels": {},
"startsAt": "<string>",
"status": "<string>"
}
],
"groupKey": "<string>",
"receiver": "<string>",
"status": "<string>",
"version": "<string>"
}
'import requests
url = "https://acusight.io/api/core/alerts/ticket"
payload = {
"alerts": [
{
"annotations": {},
"endsAt": "<string>",
"fingerprint": "<string>",
"generatorURL": "<string>",
"labels": {},
"startsAt": "<string>",
"status": "<string>"
}
],
"groupKey": "<string>",
"receiver": "<string>",
"status": "<string>",
"version": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
alerts: [
{
annotations: {},
endsAt: '<string>',
fingerprint: '<string>',
generatorURL: '<string>',
labels: {},
startsAt: '<string>',
status: '<string>'
}
],
groupKey: '<string>',
receiver: '<string>',
status: '<string>',
version: '<string>'
})
};
fetch('https://acusight.io/api/core/alerts/ticket', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/core/alerts/ticket",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'alerts' => [
[
'annotations' => [
],
'endsAt' => '<string>',
'fingerprint' => '<string>',
'generatorURL' => '<string>',
'labels' => [
],
'startsAt' => '<string>',
'status' => '<string>'
]
],
'groupKey' => '<string>',
'receiver' => '<string>',
'status' => '<string>',
'version' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/core/alerts/ticket"
payload := strings.NewReader("{\n \"alerts\": [\n {\n \"annotations\": {},\n \"endsAt\": \"<string>\",\n \"fingerprint\": \"<string>\",\n \"generatorURL\": \"<string>\",\n \"labels\": {},\n \"startsAt\": \"<string>\",\n \"status\": \"<string>\"\n }\n ],\n \"groupKey\": \"<string>\",\n \"receiver\": \"<string>\",\n \"status\": \"<string>\",\n \"version\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://acusight.io/api/core/alerts/ticket")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"alerts\": [\n {\n \"annotations\": {},\n \"endsAt\": \"<string>\",\n \"fingerprint\": \"<string>\",\n \"generatorURL\": \"<string>\",\n \"labels\": {},\n \"startsAt\": \"<string>\",\n \"status\": \"<string>\"\n }\n ],\n \"groupKey\": \"<string>\",\n \"receiver\": \"<string>\",\n \"status\": \"<string>\",\n \"version\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/core/alerts/ticket")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"alerts\": [\n {\n \"annotations\": {},\n \"endsAt\": \"<string>\",\n \"fingerprint\": \"<string>\",\n \"generatorURL\": \"<string>\",\n \"labels\": {},\n \"startsAt\": \"<string>\",\n \"status\": \"<string>\"\n }\n ],\n \"groupKey\": \"<string>\",\n \"receiver\": \"<string>\",\n \"status\": \"<string>\",\n \"version\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{}{}Alerts & telemetry
Create ticket for alert
Creates a support ticket for an alert
POST
/
core
/
alerts
/
ticket
Create ticket for alert
curl --request POST \
--url https://acusight.io/api/core/alerts/ticket \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"alerts": [
{
"annotations": {},
"endsAt": "<string>",
"fingerprint": "<string>",
"generatorURL": "<string>",
"labels": {},
"startsAt": "<string>",
"status": "<string>"
}
],
"groupKey": "<string>",
"receiver": "<string>",
"status": "<string>",
"version": "<string>"
}
'import requests
url = "https://acusight.io/api/core/alerts/ticket"
payload = {
"alerts": [
{
"annotations": {},
"endsAt": "<string>",
"fingerprint": "<string>",
"generatorURL": "<string>",
"labels": {},
"startsAt": "<string>",
"status": "<string>"
}
],
"groupKey": "<string>",
"receiver": "<string>",
"status": "<string>",
"version": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
alerts: [
{
annotations: {},
endsAt: '<string>',
fingerprint: '<string>',
generatorURL: '<string>',
labels: {},
startsAt: '<string>',
status: '<string>'
}
],
groupKey: '<string>',
receiver: '<string>',
status: '<string>',
version: '<string>'
})
};
fetch('https://acusight.io/api/core/alerts/ticket', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/core/alerts/ticket",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'alerts' => [
[
'annotations' => [
],
'endsAt' => '<string>',
'fingerprint' => '<string>',
'generatorURL' => '<string>',
'labels' => [
],
'startsAt' => '<string>',
'status' => '<string>'
]
],
'groupKey' => '<string>',
'receiver' => '<string>',
'status' => '<string>',
'version' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/core/alerts/ticket"
payload := strings.NewReader("{\n \"alerts\": [\n {\n \"annotations\": {},\n \"endsAt\": \"<string>\",\n \"fingerprint\": \"<string>\",\n \"generatorURL\": \"<string>\",\n \"labels\": {},\n \"startsAt\": \"<string>\",\n \"status\": \"<string>\"\n }\n ],\n \"groupKey\": \"<string>\",\n \"receiver\": \"<string>\",\n \"status\": \"<string>\",\n \"version\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://acusight.io/api/core/alerts/ticket")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"alerts\": [\n {\n \"annotations\": {},\n \"endsAt\": \"<string>\",\n \"fingerprint\": \"<string>\",\n \"generatorURL\": \"<string>\",\n \"labels\": {},\n \"startsAt\": \"<string>\",\n \"status\": \"<string>\"\n }\n ],\n \"groupKey\": \"<string>\",\n \"receiver\": \"<string>\",\n \"status\": \"<string>\",\n \"version\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/core/alerts/ticket")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"alerts\": [\n {\n \"annotations\": {},\n \"endsAt\": \"<string>\",\n \"fingerprint\": \"<string>\",\n \"generatorURL\": \"<string>\",\n \"labels\": {},\n \"startsAt\": \"<string>\",\n \"status\": \"<string>\"\n }\n ],\n \"groupKey\": \"<string>\",\n \"receiver\": \"<string>\",\n \"status\": \"<string>\",\n \"version\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{}{}Authorizations
JWT access token. Paste the token only; the Bearer prefix is added automatically.
Body
application/json
Alertmanager webhook payload
Response
Ticket created successfully
Was this page helpful?